<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		felipe.cadena
@description  	Página para desasignar tramites asociados a un profesional de avalúos
@ManagedBean 	DesasignarAvaluadorMB
@CU				CU-SA-AC-081 - Desasignar Avaluador
@version  		1.0

-->

<h:form id="consultaAvaluosDAForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText value="Información básica" 
                          styleClass="legendTitle" />
        </legend>
        <h:panelGrid columns="4" cellspacing="5" cellpadding="5">

            <h:outputLabel value="Nombre asignador: " styleClass="outputLabelStyle" />

            <h:outputText            
                value="#{desasignacionAvaluador.usuario.nombreCompleto}" 
                styleClass="outputTextStyle">
            </h:outputText>

            <h:outputLabel value="Sec. Radicado: " styleClass="outputLabelStyle" />

            <h:inputText            
                value="#{desasignacionAvaluador.secRadicado}"
                label="Sec. Radicado" maxlength="50"
                disabled="#{!desasignacionAvaluador.banderaLlamadoMenu}">
            </h:inputText>

            <h:outputLabel value="Territorial: " styleClass="outputLabelStyle" />

            <h:outputText            
                value="#{desasignacionAvaluador.usuario.codigoTerritorial}" 
                styleClass="outputTextStyle"
                id="TerritorialesConDireccionGeneralCV-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneralCV-1"/>
            </h:outputText>

            <h:outputLabel value="Nombre profesional: " styleClass="outputLabelStyle" />

            <h:selectOneMenu label="Profesional de avalúos:"
                             value="#{desasignacionAvaluador.idProfesional}">

                <f:selectItems 
                    value="#{desasignacionAvaluador.listaAvaluadores}" />

            </h:selectOneMenu>
            <h:outputLabel value="Fecha de desasignación: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{desasignacionAvaluador.fechaDesasignacion}">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>   

        </h:panelGrid>

        <p:spacer height="0" width="20" />
        <p:commandButton id="buscarBtn"
                         value="Buscar"
                         process="@form"
                         action="#{desasignacionAvaluador.buscarAvaluos}"
                         icon="ui-icon-search" immediate="false"  ajax="true"
                         update=":consultaAvaluosDAForm:secRadicadosTable"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();" />

    </p:fieldset>

    <p:spacer height="5" />

    <p:fieldset>
        <legend>
            <h:outputText value="Avalúos a desasignar" 
                          styleClass="legendTitle" />
        </legend>


        <br/>
        <p:dataTable
            value="#{desasignacionAvaluador.listaAvaluos}"
            var="avaluo" id="secRadicadosTable"
            rowKey="#{avaluo.id}"
            selection="#{desasignacionAvaluador.listaAvaluosSeleccionados}"
            paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
            {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
            rowsPerPageTemplate="15,30,45"
            widgetVar="secRadicadosTableWV"
            emptyMessage="No existen avalúos para estos criterios de busqueda"
            paginator="true"
            rows="15"
            paginatorPosition="bottom">

            <f:facet name="header">  
                Avaluos asociados a la busqueda
            </f:facet>

            <p:column selectionMode="multiple"/>
            <p:column>
                <f:facet name="header">
                    <h:outputText value="Opciones" title="Opciones" />
                </f:facet>

                <p:commandButton id="infoPredialBtn"
                                 icon="ui-icon-home" title="Información predial"
                                 update=":pdsDialog"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); prediosWV.show();"
                                 action="#{consultaInformacionPredial.cargarInformacionPredial}">
                    <f:setPropertyActionListener
                        target="#{consultaInformacionPredial.avaluoSeleccionado}"
                        value="#{avaluo}" />
                </p:commandButton>


            </p:column>

            <p:column sortBy="#{avaluo.secRadicado}" 
                      filterBy="#{avaluo.secRadicado}"
                      filterMatchMode="contains">
                <f:facet name="header">
                    <h:outputText value="Sec. Radicado" title="Sec. Radicado" />
                </f:facet>
                <h:outputText styleClass="outputTextStyle" value="#{avaluo.secRadicado}"/>
            </p:column>

            <p:column filterBy="#{avaluo.tramite.tipoTramite}"
                      filterMatchMode="exact"
                      filterOptions="#{general.avaluosComercialesTipoTramiteFiltro}">
                <f:facet name="header">
                    <h:outputText value="Tipo trámite" title="Tipo trámite" />
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              id="AvaluosComercialesTipoTramite-1"
                              value="#{avaluo.tramite.tipoTramite}">
                    <f:converter converterId="converterCB"
                                 for="AvaluosComercialesTipoTramite-1" />
                </h:outputText>
            </p:column>


            <p:column filterBy="#{avaluo.avaluoPredios[0].departamento.nombre}"
                      filterMatchMode="contains"
                      sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
                <f:facet name="header">
                    Departamento		
                </f:facet>
                <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                               id="infoDepartamentosLink"
                               styleClass="commandLinkStyle"
                               value="#{avaluo.avaluoPredios[0].departamento.codigo} - 
                               #{avaluo.avaluoPredios[0].departamento.nombre}"
                               action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                               onstart="statusDialog2.show();"
                               oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();"
                               update=":deptoDialog">
                    <f:setPropertyActionListener value="#{avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                </p:commandLink>
                <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                              styleClass="outputTextStyle"
                              value="#{avaluo.avaluoPredios[0].departamento.codigo} - 
                              #{avaluo.avaluoPredios[0].departamento.nombre}"/>
            </p:column>
            <p:column filterBy="#{avaluo.avaluoPredios[0].municipio.nombre}"
                      filterMatchMode="contains"
                      sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
                <f:facet name="header">
                    Municipio			
                </f:facet>
                <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                               id="infoMunicipiosLink"
                               styleClass="commandLinkStyle"
                               value="#{avaluo.avaluoPredios[0].municipio.codigo} - 
                               #{avaluo.avaluoPredios[0].municipio.nombre}"
                               action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                               onstart="statusDialog2.show();"
                               oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();"
                               update=":deptoDialog">
                    <f:setPropertyActionListener value="#{avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                </p:commandLink>

                <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                              styleClass="outputTextStyle"
                              value="#{avaluo.avaluoPredios[0].municipio.codigo} - 
                              #{avaluo.avaluoPredios[0].municipio.nombre}"/>
            </p:column>
            <p:column filterBy="#{avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                      filterMatchMode="contains"
                      sortBy="#{avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}">
                <f:facet name="header">
                    Profesional			
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"/>
            </p:column>
            <p:column>
                <f:facet name="header">
                    Actividad	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              id="actividad"
                              value="#{avaluo.avaluoAsignacionProfesionals[0].actividad}">

                </h:outputText>
            </p:column>
            <p:column>
                <f:facet name="header">
                    Actividad actual <br /> proceso	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              id="actividadActual"
                              value="FIXME">

                </h:outputText>
            </p:column>

        </p:dataTable>

        <p:spacer height="10"/>
        <p:outputPanel layout="block" style="text-align:left">
            <p:commandButton id="desasignarBtn"
                             value="Aceptar"
                             process="consultaAvaluosDAForm"
                             action="#{desasignacionAvaluador.desasignarAvaluador}"
                             icon="ui-icon-disk" immediate="false"  ajax="true"
                             update=":consultaAvaluosDAForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();" />
            <p:spacer width="10"/>
            <p:commandButton 
                value="Visor GIS"
                process="consultaAvaluosDAForm"
                action="#{desasignacionAvaluador.desasignarAvaluador}"
                icon="ui-icon-circle-zoomin" immediate="false"  ajax="true"
                update=":consultaAvaluosDAForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();" />
            <p:spacer width="10"/>
            <p:commandButton 
                value="Asignar avaluadores"
                process="consultaAvaluosDAForm"
                action="#{desasignacionAvaluador.desasignarAvaluador}"
                icon="ui-icon-person" immediate="false"  ajax="true"
                update=":consultaAvaluosDAForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();" />

        </p:outputPanel>

    </p:fieldset>


</h:form>
